Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.dynamicui
Interface ExtendedDynamicUICtrl

All Superinterfaces:
  AbstractDynamicUICtrl, DynamicUIInfo

    public interface ExtendedDynamicUICtrl

extends AbstractDynamicUICtrl

The `DynamicUICtrl` provides access to those functions of dynamic ui management that alter the current state.

Since:
  8.0.0.1
See Also:
  `DynamicUIManagementFactoryService`

Method Summary
`ObjectID` | `addPortletToPage(ObjectID pageID, ObjectID portletDefinitionID, Localized localeInformation, PropertyValue[] properties)` Adds a portlet.
`ObjectID` | `addPortletToPage(ObjectID pageID, ObjectID portletDefinitionID, ObjectID portletWindowID, Localized localeInformation, PropertyValue[] properties)` Adds a new portlet.
`ObjectID` | `addSharedPortletToPage(ObjectID pageID, ObjectID portletDefinitionID, Localized localeInformation, PropertyValue[] properties)` Adds a shared portlet.
`void` | `removePortletFromPage(ObjectID pageID, ObjectID portletWindowID)` Removes a portlet.

Methods inherited from interface com.ibm.portal.dynamicui.AbstractDynamicUICtrl
`addPage, addPage, addSharedPage, removePage`

Methods inherited from interface com.ibm.portal.dynamicui.DynamicUIInfo
`isPageClosable, isPortletClosable`

Method Detail

### addPortletToPage

    ObjectID addPortletToPage(ObjectID pageID,
                              ObjectID portletDefinitionID,
                              Localized localeInformation,
                              PropertyValue[] properties)
                              throws DynamicUIManagementException

  Adds a portlet. Focus is not set to the newly generated portlet by default. If the new portlet should get focus, the portlet should generate a url to the portlet using its object id and set it as an redirect on the response.

  Parameters:
    `pageID` - the object id of the page to which the portlet is supposed to be added.
    `portletDefinitionID` - The object id the portlet definition. It is not allowed to pass `null` for this parameter.
    `localeInformation` - The titles and descriptions that should be set for the new portlet. For those locales that are supported by the portlet definition but that are not part of this set, the titles and descriptions of the portlet definition are used. This parameter can be `null` . If `null` is passed, the values defined for the portlet defintion are used.
    `properties` - The properties that should be delivered to the launched portlet. This parameter can be `null` .
  Returns:
    ObjectID The object id of the portlet window of the added portlet.
  Throws:
    `ResourceLookupException` - The portlet definiton referenced by the portletDefinitionID cannot be found.
    `AddUIElementException` - A problem occured and the portlet could not be added to the page.
    `MissingAccessRightsException` - The user has not sufficient access rights for the portlet definition.
    `DynamicUIManagementException`
  See Also:
    `RedirectURLGenerator`

### addPortletToPage

    ObjectID addPortletToPage(ObjectID pageID,
                              ObjectID portletDefinitionID,
                              ObjectID portletWindowID,
                              Localized localeInformation,
                              PropertyValue[] properties)
                              throws DynamicUIManagementException

  Adds a new portlet. When the portletWindowID parameter is set, it is checked whether the portlet window referenced by this object id does exist or not. If yes, the portlet window id is just returned. Otherwise, a new portlet is added and its portlet window object id returned. This method can also be used to initially add a portlet to a page by passing `null` for the portletWindowID parameter.

  Note: Passed properties are also delivered in the case where an existing portlet is reused.

  Focus is not set to the newly generated portlet by default. If the portlet should get focus, the portlet should generate a url to the portlet using its object id and set it as an redirect on the response.

  Parameters:
    `pageID` - the object id of the page to which the portlet is supposed to be added.
    `portletDefinitionID` - The object id of the portlet definition. It is not allowed to pass `null` for this parameter.
    `portletWindowID` - The object id of the portletWindow that should be used in case that it does exist.
    `localeInformation` - The titles and descriptions that should be set for the new portlet. For those locales that are supported by the portlet definition but that are not part of this set, the titles and descriptions of the portlet definition are used. This parameter can be `null` . If `null` is passed, the values defined for the portlet defintion are used.
    `properties` - The properties that should be delivered to the portlet. This parameter can be `null` .
  Returns:
    ObjectID The object id of the portlet window of the added portlet.
  Throws:
    `ResourceLookupException` - The portlet definiton referenced by the portletDefinitionID cannot be found.
    `AddUIElementException` - A problem occured and the portlet could not be added to the page.
    `MissingAccessRightsException` - The user has not sufficient access rights for the portlet definition.
    `DynamicUIManagementException`
  See Also:
    `RedirectURLGenerator`

### addSharedPortletToPage

    ObjectID addSharedPortletToPage(ObjectID pageID,
                                    ObjectID portletDefinitionID,
                                    Localized localeInformation,
                                    PropertyValue[] properties)
                                    throws DynamicUIManagementException

  Adds a shared portlet. There can be exactly one shared portlet for a portlet definition on a page. Therfore, it is checked whether there exists a shared portlet for the according portlet definition. If yes, its object id is returned. If not, a new shared portlet is created and its object id is returned.

  Note: Passed properties are also delivered in the case where an existing portlet is reused.

  Focus is not set to the newly generated portlet by default. If the portlet should get focus, the portlet should generate a url to the portlet using its object id and set it as an redirect on the response.

  Parameters:
    `pageID` - the object id of the page to which the portlet is supposed to be added.
    `portletDefinitionID` - The object id of the portlet definition. It is not allowed to pass `null` for this parameter.
    `localeInformation` - The titles and descriptions that should be set for the new portlet. For those locales that are supported by the portlet definition but that are not part of this set, the titles and descriptions of the portlet definition are used. This parameter can be `null` . If `null` is passed, the values defined for the portlet defintion are used.
    `properties` - The properties that should be delivered to the portlet. This parameter can be `null` .
  Returns:
    ObjectID The object id of the added portlet window.
  Throws:
    `ResourceLookupException` - The portlet definiton referenced by the portletDefinitionID cannot be found.
    `AddUIElementException` - A problem occured and the portlet could not be added to the page.
    `MissingAccessRightsException` - The user has not sufficient access rights for the portlet definition.
    `DynamicUIManagementException`
  See Also:
    `RedirectURLGenerator`

### removePortletFromPage

    void removePortletFromPage(ObjectID pageID,
                               ObjectID portletWindowID)
                               throws DynamicUIManagementException

  Removes a portlet. It is only possible to remove a portlet from the page the calling portlet is located on.

  Parameters:
    `pageID` - the object id of the page to from the portlet is supposed to be removed.
    `portletWindowID` - The object id of the portlet window that should be removed. It is not allowed to pass `null` for this parameter.
  Throws:
    `ResourceLookupException` - The ui element referenced by the object id cannot be found.
    `RemoveUIElementException` - An error occured and the element could not be removed.
    `DynamicUIManagementException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD